Name:           perl-Net-INET6Glue
Version:        0.603
Release:        10%{?dist}
Summary:        Make common modules IPv6 ready by hotpatching
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            https://metacpan.org/release/Net-INET6Glue
Source0:        https://cpan.metacpan.org/authors/id/S/SU/SULLR/Net-INET6Glue-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::Socket::INET)
BuildRequires:  perl(IO::Socket::INET6) >= 2.54
BuildRequires:  perl(Net::FTP)
BuildRequires:  perl(Socket)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Net::INET6Glue is a collection of modules to make common modules IPv6 ready
by hotpatching them.

%prep
%setup -q -n Net-INET6Glue-%{version}

%build
PERL_MM_USE_DEFAULT=1 %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes COPYRIGHT README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.603-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.603-9
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.603-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.603-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.603-6
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.603-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.603-4
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.603-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.603-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 11 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.603-1
- Update to latest upstream release (rhbz#1230733)

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.5-6
- Perl 5.22 rebuild

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.5-5
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Sep 10 2013 Ken Dreyer <ktdreyer@ktdreyer.com> 0.5-3
- Adjust Requires and BuildRequires per review.

* Sun May 19 2013 Ken Dreyer <ktdreyer@ktdreyer.com> 0.5-2
- Run Makefile.pl with PERL_MM_USE_DEFAULT=1 so that we skip the prompt during
  an interactive rpmbuild session (eg. outside of mock).
- Remove BuildRoot and rm -rf $RPM_BUILD_ROOT. (EL5 compat not required.)

* Thu May 16 2013 Ken Dreyer <ktdreyer@ktdreyer.com> 0.5-1
- Specfile autogenerated by cpanspec 1.78.
